<?php
/*
#####################
#POSTGRESTATS LICENSE
#####################
Copyright 2013 NWLYNX <http://www.nwlynx.com/>.

This file is part of PostgreStats <http://www.postgrestats.com/>.

PostgreStats is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PostgreStats is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with PostgreStats. If not, see <http://www.gnu.org/licenses/>.
*/


################################################
#INCLUDE OUR MAIN CONF.PHP FILE AS WELL AS
#AUTH_ADMIN.PHP - FOR BASIC REALM AUTHENTICATION
################################################
require("scripts/conf.php");
require("scripts/auth_admin.php");

##########################################
#PASS AUTH VARS TO OUR AUTH_ADMIN FUNCTION
##########################################
auth_admin($use_authentication,$pg_auth_user,$pg_auth_pass);

############################################################
#FIRST CHECK TO SEE IF THE DATA DIRECTORY EXISTS
#IF SO, SET AN ARRY OF THE YEARS FOR WHICH WE HAVE STATS FOR
############################################################
if(file_exists("$postgrestats_dir/postgrestats/data"))
{
	$stat_years_array = scandir("$postgrestats_dir/postgrestats/data");
	
	#######################################################################
	#ITERATE THROUGH OUR ARRAY TO MAKE SURE WE HAVE FOLDER WITH YEAR VALUES
	#AND NOT JUST THE "." AND ".." UNIX DIRECTORIES
	#######################################################################
	$legit_years = 0;
	
	#############################
	#GO THROUGH EACH AND VALIDATE
	#############################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		#####################
		#TALLY UP LEGIT YEARS
		#####################
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i])) $legit_years++;
	}
	
	##################################################################################
	#UNSET THE ARRAY IF LEGIT_YEARS VAR IS EMPTY
	#MOST LIKELY THE DATA DIRECTORY EXISTS BUT A YEAR FOLDER HAS BEEN MANUALLY REMOVED
	##################################################################################
	if($legit_years == 0) unset($stat_years_array);
}

####################################
#INITIALIZE DROP-DOWN MENU VARIABLES
####################################
$snap_chartting = "";
$daily_chartting = "";
$vs_chartting = "";
$weekly_chartting = "";
$year_chartting = "";

###########################
#GET OUR POST/GET VARIABLES
###########################
foreach($_POST AS $key => $value) { ${$key} = trim($value); }
foreach($_GET AS $key => $value) { ${$key} = trim($value); }	

##############################
#SET UP SOME GENERAL DATE VARS
##############################
$current_month = date("m");
$current_day = date("d");
$current_year = date("Y");

###################################################
#MENU SYSTEM DEFAULTS FOR THE MONTHLY SNAPSHOT VIEW
###################################################
if(empty($snap_month)) $snap_month = $current_month;
if(empty($snap_year)) $snap_year = $current_year;

#########################################
#MENU SYSTEM DEFAULTS FOR THE WEEKLY VIEW
#########################################
if(empty($weekly_month)) $weekly_month = $current_month;
if(empty($weekly_year)) $weekly_year = $current_year;

##################################################
#MENU SYSTEM DEFAULTS FOR THE YEARLY SNAPSHOT VIEW
##################################################
if(empty($snap_entire_year)) $snap_entire_year = $current_year;

#####################################################
#SET MENU SYSTEM DEFAULTS FOR THE MONTH VS MONTH VIEW
#####################################################
if(empty($mvm_a_month) || empty($mvm_a_year) || empty($mvm_b_month) || empty($mvm_b_year))
{
	$mvm_a_month = $current_month;
	$mvm_a_year = $current_year;
	$current_date = "$current_year-$current_month-01";
	$current_date = strtotime($current_date);
	$current_date = mktime(0, 0, 0, $current_month-1,"01",$current_year);
	$mvm_b_month = date("m", $current_date);
	$mvm_b_year = date("Y", $current_date);
}

####################################################
#SET MENU SYSTEM DEFAULTS FOR THE DAILY INDI DB VIEW
####################################################
if(empty($daily_db_month) || empty($daily_db_day) || empty($daily_db_year))
{
	$current_date = "$current_year-$current_month-$current_day";
	$current_date = strtotime($current_date);
	$current_date = mktime(0, 0, 0, $current_month, $current_day-1, $current_year);
	$daily_db_month = date("m", $current_date);
	$daily_db_day = date("d", $current_date);
	$daily_db_year = date("Y", $current_date);
}

##############################################
#LOOK FOR AN INCOMING IS INTERFACE VAR VIA GET
#IF SET, REVERSE THE INTERFACE AND CONTINUE
##############################################
if(isset($_POST['interface'])) $interface = $_POST['interface'];
else $interface = 1;
if($interface != 1 && $interface != 2) $interface = 1;

######################################################################################
#HANDLE THE INTERFACE COLORS - CHECK OUR CONF INTERFACE VAR AND DEFAULT TO 1 (REVERSE)
######################################################################################
if($interface == 2)
{
	###############################################
	#SET THE BLACK ON WHITE POSITIVE CSS SOURCE VAR
	#AND GRAPHICS DIRECTORY SOURCE VAR
	###############################################
	$interface_swap = 1;
	$css_src = "scripts/css_styles_pos.css";
	$graphics_src = "graphics/int_pos";
}
else
{
	##############################################
	#SET THE WHITE ON BLACK REVERSE CSS SOURCE VAR
	#AND GRAPHICS DIRECTORY SOURCE VAR
	##############################################
	$interface = 1;
	$interface_swap = 2;
	$css_src = "scripts/css_styles_rev.css";
	$graphics_src = "graphics/int_rev";
}

##########################
#CONF FILE INTEGRITY CHECK
##########################

#####################################
#VALIDATE CONF VAR: $postgrestats_dir
#####################################
if(file_exists("$postgrestats_dir/postgrestats"))
{
	$conf_ic_postgres_dir = "Yes, PostgreStats install directory is accounted for.";
	$conf_ic_postgres_dir_result = "PASS";
}
else
{
	$conf_ic_postgres_dir = "No, PostgreStats directory not found. Please verify.";
	$conf_ic_postgres_dir_result = "FAIL";
}

#########################################
#FIRST MAKE SURE THE CONF.PHP FILE EXISTS
#########################################
if(file_exists("$postgrestats_dir/postgrestats/scripts/conf.php"))
{
	$conf_file_located = "Yes, PostgreStats conf.php file is accounted for.";
	$conf_file_located_result = "PASS";
}
else
{
	$conf_file_located = "No, conf.php not found in the PostgreStats install directory. Please verify.";
	$conf_file_located_result = "FAIL";
}

###########################################################################
#VALIDATE DB LOG-IN CREDENTIAL VARS: $db_name, $db_user, $db_pass, $db_host
###########################################################################
if(empty($db_name) || empty($db_user) || empty($db_pass) || empty($db_host))
{
	$conf_ic_credentials_result = "FAIL";
	$conf_ic_credentials = "No, one ore more of your database log-in credentials is missing. Please verify.";
}
else
{
	$conf_ic_credentials_result = "PASS";
	$conf_ic_credentials = "Yes, database log-in credentials are accounted for.";
}

#####################################
#VALIDATE CONF VAR: $conf_ic_psql_loc
#####################################
if(file_exists($psql_loc))
{
	$conf_ic_psql_loc = "Yes, PSQL is accounted for.";
	$conf_ic_psql_loc_result = "PASS";
}
else
{
	$conf_ic_psql_loc = "PSQL not found. Please verify.";
	$conf_ic_psql_loc_result = "FAIL";
}

##################################################
#VALIDATE DATABASE SUPER-USER USERNAME VAR: $db_su
##################################################
if(!empty($db_su))
{
	$conf_ic_db_super = "Yes, database super-user credentials are accounted for.";
	$conf_ic_db_super_result = "PASS";
}
else
{
	$conf_ic_db_super = "No, database super-user value is empty. Please verify.";
	$conf_ic_db_super_result = "FAIL";
}

#######################################
#VALIDATE CONF VAR: $use_authentication
#######################################
if($use_authentication == 1)
{
	$conf_ic_use_authentication = "Yes, attempting to use standard Apache web authentication.";
	$conf_ic_use_authentication_result = "PASS";
}
else
{
	$conf_ic_use_authentication = "No, apache web authentication not being used.";
	$conf_ic_use_authentication_result = "PASS";
}

#######################################
#VALIDATE CONF VAR: $use_vacuum_analyze
#######################################
if($use_vacuum_analyze == 1) 
{
	$conf_ic_use_vacuum_analyze = "Yes, running vacuum analyze after each log update.";
	$conf_ic_use_vacuum_analyze_result = "PASS";
}
else
{
	$conf_ic_use_vacuum_analyze = "No, vacuum analyze on log update not enabled.";
	$conf_ic_use_vacuum_analyze_result = "PASS";
}

####################################
#VALIDATE CONF VAR: $use_auto_backup
####################################
if($use_auto_backup == 1)
{
	$conf_ic_use_auto_backup = "Yes, auto backing up PostgreStats data on log update.";
	$conf_ic_use_auto_backup_result = "PASS";
}
else
{
	$conf_ic_use_auto_backup = "No, local PostgreStats data back-up not enabled.";
	$conf_ic_use_auto_backup_result = "PASS";
}

##########################################
#VALIDATE CONF VAR: $send_completion_email
##########################################
function is_email_valid($email)
{
	#FIRST VALIDATE SYNTAX
	if(!preg_match('/^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.([a-zA-Z]{2,4})$/i', $email)) return false;

	#NOW CHECK FOR "MX "RECORD
	list($user,$domain) = explode('@',$email);
	if(!checkdnsrr($domain,"MX")) return false;
	else return true;
}

if($send_completion_email == 1)
{
	if(is_email_valid($stats_email))
	{
		$conf_ic_send_completion_email = "Yes, sending summary email on log update to: $stats_email.";
		$conf_ic_send_completion_email_result = "PASS";
	}
	else
	{
		$conf_ic_send_completion_email = "No, email provided ($stats_email) appears to be invalid.";
		$conf_ic_send_completion_email_result = "FAIL";
	}
}
else
{
	$conf_ic_send_completion_email = "No, summary email after log update not enabled.";
	$conf_ic_send_completion_email_result = "PASS";
}

##############################
#VALIDATE CONF VAR: $interface
##############################
if($interface == 1)
{
	$conf_ic_interface = "Default PostgreStats interface is white on black.";
	$conf_ic_interface_result = "PASS";
}
else
{
	$conf_ic_interface = "Default PostgreStats interface is black on white.";
	$conf_ic_interface_result = "PASS";
}

#####################################
#VALIDATE CONF VAR: $ftp_to_webserver
#####################################
if($ftp_to_webserver == 1)
{
	if(!empty($ftp_user_name) && !empty($ftp_user_pass) && !empty($ftp_server_ip) && !empty($src_dir) && !empty($dst_dir) && file_exists("$src_dir") && substr($src_dir,-14) === "/postgrestats/" && substr($dst_dir,-14) === "/postgrestats/")
	{
		$conf_ic_ftp_to_webserver = "Yes, will attempt to FTP PostgreStats folder to web-server.";
		$conf_ic_ftp_to_webserver_result = "PASS";
	}
	else
	{
		$conf_ic_ftp_to_webserver = "No, refer to conf.php to verify FTP credentials and settings.";
		$conf_ic_ftp_to_webserver_result = "FAIL";	
	}
}
else
{
	$conf_ic_ftp_to_webserver = "No, PostgreStats directory will not FTP to web-server.";
	$conf_ic_ftp_to_webserver_result = "PASS";
}

###########################################
#DETERMINE FINAL INTEGRITY CHECK STATUS FAR
###########################################
if($conf_file_located_result == "PASS" && $conf_ic_postgres_dir_result == "PASS" && $conf_ic_credentials_result == "PASS" && $conf_ic_psql_loc_result == "PASS" && $conf_ic_db_super_result == "PASS" && $conf_ic_use_authentication_result == "PASS" && $conf_ic_use_vacuum_analyze_result == "PASS" && $conf_ic_use_auto_backup_result == "PASS" && $conf_ic_send_completion_email_result == "PASS" && $conf_ic_interface_result == "PASS" && $conf_ic_ftp_to_webserver_result == "PASS")
{
	$conf_file_status = "PASS";
}
else
{
	$conf_file_status = "FAIL: At least one item requires your attention.";
}

#############
#VERSION VARS
#############
$version = "1.5";
$license = "GNU-GPL";
?>
<!doctype html>
<html>
<head>
<title>PostgreStats</title>
<link href="<?php echo $css_src?>" rel="stylesheet" type="text/css">
<script type="text/javascript" src="scripts/javascript.js"></script>
</head>
<body>

<!-- ------------- -->
<!-- MAIN PS TABLE -->
<!-- ------------- -->
<div class="ps_wrapper" style="width:<?php echo $site_width;?>;">
<table class="ps_table">
<tr>

<!-- ----------- -->
<!-- PS TOP CELL -->
<!-- ----------- -->
<td class="ps_cell_top">
<table>
<tr>
<td valign="bottom" style="padding:15px 0 10px 25px;"><img src="<?php echo $graphics_src?>/postgrestats_logo.png" width="313" height="72" style="padding-bottom:3px;"></td>
<td style="text-align:right; padding:15px 25px 10px 0px;">
<span class="body_secondary">Version: <?php echo $version?> | License: <?php echo $license?></span><br>
<span class="body_secondary"><a href="http://www.postgrestats.com/">PostgreStats</a> | &copy;Copyright 2013 <a href="http://www.nwlynx.com/" target="_blank">NWLYNX</a>.</span><br>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="POST" style="margin:0; padding-top:5pt;">
<input name="interface" type="hidden" id="interface" value="<?php echo $interface_swap?>"> <input type="image" name="submit" value="submit" src="<?php echo $graphics_src?>/interface_swap.png">
</form>
</td>
</tr>
</table>
</td>
</tr>
<tr>

<!-- -------------- -->
<!-- PS CENTER CELL -->
<!-- -------------- -->
<td class="ps_cell_center">
<div class="ps_nav body_secondary">
<div style="float:left; font-size:14px;"><a href="javascript:stat_view(1)">Monthly&nbsp;Snapshot</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:stat_view(3)">Daily&nbsp;Individual</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:stat_view(2)">Month&nbsp;VS&nbsp;Month</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:stat_view(5)">Weekly&nbsp;Trending</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:stat_view(4)">Yearly&nbsp;Snapshot</a></div>
<div style="float:right; font-size:14px;"><a href="javascript:stat_view(10)">Conf&nbsp;File&nbsp;Check</a></div>
<div style="clear:both;"></div>
</div>
</td>
</tr>
<tr>

<!-- -------------- -->
<!-- PS BOTTOM CELL -->
<!-- -------------- -->
<td class="ps_cell_bottom" valign="top" background="<?php echo $graphics_src?>/table_bg.png">

<!-- --------------- -->
<!-- CONF FILE CHECK -->
<!-- --------------- -->
<div id="view_conf_full">
<table>
<tr>
<td class="title_primary">

<!-- ----------- -->
<!-- WELCOME DIV -->
<!-- ----------- -->
<div class="welcome"><div class="stat_header">Welcome to PostgreStats</div>
<div class="body_secondary" style="margin-top:5px;">View your statistics by selecting a stat view above.</div></div>

<!-- ----------------- -->
<!-- CONF STATUS TABLE -->
<!-- ----------------- -->
<table class="body_secondary">
<tr>
<td colspan="2" class="title_highlight" style="padding-bottom:10pt; padding-top:10pt;"><strong>PostgreStats Conf File Integrity Check</strong></td>
<td class="title_primary" style="text-align:right; padding:10px 0 10px 0;"><strong>Status</strong></td>
</tr>
<tr>
<td style="width:170px;">PostgreStats&nbsp;Directory:</td>
<td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_postgres_dir?></td>
<td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_postgres_dir_result?></td>
</tr>
<tr>
<td colspan="3" style="height:20px;"><hr size="1"></td>
</tr>
<tr>
<td>Conf&nbsp;File&nbsp;Located:</td>
<td class="body_primary" style="padding-left:10pt;"><?php echo $conf_file_located?></td>
<td class="body_highlight" style="text-align:right;"><?php echo $conf_file_located_result?></td>
</tr>
<?php
if($conf_file_located_result == "PASS")
{
?>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Database&nbsp;Login&nbsp;Credentials:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_credentials?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_credentials_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>PSQL&nbsp;Location:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_psql_loc?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_psql_loc_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Database&nbsp;Super-user:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_db_super?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_db_super_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>HTTP&nbsp;Authentication:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_use_authentication?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_use_authentication_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Vacuum&nbsp;Analyze&nbsp;on&nbsp;Update:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_use_vacuum_analyze?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_use_vacuum_analyze_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Data&nbsp;Auto&nbsp;Backup:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_use_auto_backup?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_use_auto_backup_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Completion&nbsp;Email:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_send_completion_email?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_send_completion_email_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>Default&nbsp;Interface:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_interface?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_interface_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td>FTP&nbsp;to&nbsp;Web-server:</td>
    <td class="body_primary" style="padding-left:10pt;"><?php echo $conf_ic_ftp_to_webserver?></td>
    <td class="body_highlight" style="text-align:right;"><?php echo $conf_ic_ftp_to_webserver_result?></td>
    </tr>
    <tr>
    <td colspan="3" style="height:20px;"><hr size="1"></td>
    </tr>
    <tr>
    <td class="body_highlight"><strong>Conf&nbsp;File&nbsp;Status:</strong></td>
    <td class="body_primary">&nbsp;</td>
    <td class="body_primary" style="text-align:right;"><strong><?php echo $conf_file_status?></strong></td>
    </tr>
<?php
}
?>
</table>
</td>
</tr>
</table>
</div>

<!-- ---------------- -->
<!-- MONTHLY SNAPSHOT -->
<!-- ---------------- -->
<div id="view_daily_full" style="display:none;">
<table>
<tr>
<td class="title_primary">
<table>
<tr>
<td style="padding-bottom:10pt;"><div class="stat_header">Statistics > Monthly Snapshot</div>
<div class="body_secondary" style="margin:5px 0 5px 0;">Stats general information on all databases and compares data (+/-) to the same day on the previous month.</div></td>
</tr>
<tr>
<td style="padding-bottom:5pt;"><span class="body_secondary">For Month:&nbsp;
<select name="snap_month" id="snap_month" class="select_menu">
<option value="01" <?php if($snap_month == "01") echo "selected=\"selected\""; ?>>Jan</option>
<option value="02" <?php if($snap_month == "02") echo "selected=\"selected\""; ?>>Feb</option>
<option value="03" <?php if($snap_month == "03") echo "selected=\"selected\""; ?>>Mar</option>
<option value="04" <?php if($snap_month == "04") echo "selected=\"selected\""; ?>>Apr</option>
<option value="05" <?php if($snap_month == "05") echo "selected=\"selected\""; ?>>May</option>
<option value="06" <?php if($snap_month == "06") echo "selected=\"selected\""; ?>>Jun</option>
<option value="07" <?php if($snap_month == "07") echo "selected=\"selected\""; ?>>Jul</option>
<option value="08" <?php if($snap_month == "08") echo "selected=\"selected\""; ?>>Aug</option>
<option value="09" <?php if($snap_month == "09") echo "selected=\"selected\""; ?>>Sep</option>
<option value="10" <?php if($snap_month == "10") echo "selected=\"selected\""; ?>>Oct</option>
<option value="11" <?php if($snap_month == "11") echo "selected=\"selected\""; ?>>Nov</option>
<option value="12" <?php if($snap_month == "12") echo "selected=\"selected\""; ?>>Dec</option>
</select>
&nbsp;<strong><a href="javascript:monthly_snapshot_month_direction('prev')">&lt;</a> <a href="javascript:monthly_snapshot_month_direction('next')">&gt;</a></strong>&nbsp;
<select name="snap_year" id="snap_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($snap_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($snap_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
		}
	}
}
?>
</select>
&nbsp; Bar Chart Shows:&nbsp;
<select name="snap_chartting" id="snap_chartting" class="select_menu">
<option value="commits" <?php if($snap_chartting == "commits") echo "selected=\"selected\""; ?>>Commit Levels</option>
<option value="rollbacks" <?php if($snap_chartting == "rollbacks") echo "selected=\"selected\""; ?>>Rollback Levels</option>
<option value="block_reads" <?php if($snap_chartting == "block_reads") echo "selected=\"selected\""; ?>>Block Read Levels</option>
<option value="buffer_hits" <?php if($snap_chartting == "buffer_hits") echo "selected=\"selected\""; ?>>Buffer Hit Levels</option>
<option value="inserts" <?php if($snap_chartting == "inserts") echo "selected=\"selected\""; ?>>User Insert Levels</option>
<option value="updates" <?php if($snap_chartting == "updates") echo "selected=\"selected\""; ?>>User Update Levels</option>
<option value="deletes" <?php if($snap_chartting == "deletes") echo "selected=\"selected\""; ?>>User Delete Levels</option>
<option value="seq_scans" <?php if($snap_chartting == "seq_scans") echo "selected=\"selected\""; ?>>Sequence Scan Levels</option>
<option value="idx_scans" <?php if($snap_chartting == "idx_scans") echo "selected=\"selected\""; ?>>Index Scan Levels</option>
</select>
&nbsp;<a href="javascript:retrieve_monthly_snapshot()"><strong>GO!</strong></a></span></td>
</tr>
</table>
</td>
</tr>
<tr id="view_month_snap" style="display:none;">
<td class="body_secondary"><div id="view_month_snap_data" style="display:none;"></div></td>
</tr>   
</table>
</div>

<!-- ---------------- -->
<!-- DAILY INDIVIDUAL -->
<!-- ---------------- -->
<div id="view_daily_dbs_full" style="display:none;">
<table>
<tr>
<td>
<table>
<tr>
<td style="padding-bottom:10pt;"><div class="stat_header">Statistics > Daily Individual Databases</div>
<div class="body_secondary" style="margin:5px 0 5px 0;">Stats database specific activity (commits, inserts, updates, deletes, rollbacks, etc.) and compares data (+/-) with the previous day.</div></td>
</tr>
<tr>
<td style="padding-bottom:5pt;"><span class="body_secondary">For Day:&nbsp;
<select name="daily_db_month" id="daily_db_month" class="select_menu">
<option value="01" <?php if($daily_db_month == "01") echo "selected=\"selected\""; ?>>Jan</option>
<option value="02" <?php if($daily_db_month == "02") echo "selected=\"selected\""; ?>>Feb</option>
<option value="03" <?php if($daily_db_month == "03") echo "selected=\"selected\""; ?>>Mar</option>
<option value="04" <?php if($daily_db_month == "04") echo "selected=\"selected\""; ?>>Apr</option>
<option value="05" <?php if($daily_db_month == "05") echo "selected=\"selected\""; ?>>May</option>
<option value="06" <?php if($daily_db_month == "06") echo "selected=\"selected\""; ?>>Jun</option>
<option value="07" <?php if($daily_db_month == "07") echo "selected=\"selected\""; ?>>Jul</option>
<option value="08" <?php if($daily_db_month == "08") echo "selected=\"selected\""; ?>>Aug</option>
<option value="09" <?php if($daily_db_month == "09") echo "selected=\"selected\""; ?>>Sep</option>
<option value="10" <?php if($daily_db_month == "10") echo "selected=\"selected\""; ?>>Oct</option>
<option value="11" <?php if($daily_db_month == "11") echo "selected=\"selected\""; ?>>Nov</option>
<option value="12" <?php if($daily_db_month == "12") echo "selected=\"selected\""; ?>>Dec</option>
</select>
&nbsp;<strong><a href="javascript:daily_db_month_direction('prev')">&lt;</a> <a href="javascript:daily_db_month_direction('next')">&gt;</a></strong>&nbsp;
<select name="daily_db_day" id="daily_db_day" class="select_menu">
<option value="01" <?php if($daily_db_day == "01") echo "selected=\"selected\""; ?>>01</option>
<option value="02" <?php if($daily_db_day == "02") echo "selected=\"selected\""; ?>>02</option>
<option value="03" <?php if($daily_db_day == "03") echo "selected=\"selected\""; ?>>03</option>
<option value="04" <?php if($daily_db_day == "04") echo "selected=\"selected\""; ?>>04</option>
<option value="05" <?php if($daily_db_day == "05") echo "selected=\"selected\""; ?>>05</option>
<option value="06" <?php if($daily_db_day == "06") echo "selected=\"selected\""; ?>>06</option>
<option value="07" <?php if($daily_db_day == "07") echo "selected=\"selected\""; ?>>07</option>
<option value="08" <?php if($daily_db_day == "08") echo "selected=\"selected\""; ?>>08</option>
<option value="09" <?php if($daily_db_day == "09") echo "selected=\"selected\""; ?>>09</option>
<option value="10" <?php if($daily_db_day == "10") echo "selected=\"selected\""; ?>>10</option>
<option value="11" <?php if($daily_db_day == "11") echo "selected=\"selected\""; ?>>11</option>
<option value="12" <?php if($daily_db_day == "12") echo "selected=\"selected\""; ?>>12</option>
<option value="13" <?php if($daily_db_day == "13") echo "selected=\"selected\""; ?>>13</option>
<option value="14" <?php if($daily_db_day == "14") echo "selected=\"selected\""; ?>>14</option>
<option value="15" <?php if($daily_db_day == "15") echo "selected=\"selected\""; ?>>15</option>
<option value="16" <?php if($daily_db_day == "16") echo "selected=\"selected\""; ?>>16</option>
<option value="17" <?php if($daily_db_day == "17") echo "selected=\"selected\""; ?>>17</option>
<option value="18" <?php if($daily_db_day == "18") echo "selected=\"selected\""; ?>>18</option>
<option value="19" <?php if($daily_db_day == "19") echo "selected=\"selected\""; ?>>19</option>
<option value="20" <?php if($daily_db_day == "20") echo "selected=\"selected\""; ?>>20</option>
<option value="21" <?php if($daily_db_day == "21") echo "selected=\"selected\""; ?>>21</option>
<option value="22" <?php if($daily_db_day == "22") echo "selected=\"selected\""; ?>>22</option>
<option value="23" <?php if($daily_db_day == "23") echo "selected=\"selected\""; ?>>23</option>
<option value="24" <?php if($daily_db_day == "24") echo "selected=\"selected\""; ?>>24</option>
<option value="25" <?php if($daily_db_day == "25") echo "selected=\"selected\""; ?>>25</option>
<option value="26" <?php if($daily_db_day == "26") echo "selected=\"selected\""; ?>>26</option>
<option value="27" <?php if($daily_db_day == "27") echo "selected=\"selected\""; ?>>27</option>
<option value="28" <?php if($daily_db_day == "28") echo "selected=\"selected\""; ?>>28</option>
<option value="29" <?php if($daily_db_day == "29") echo "selected=\"selected\""; ?>>29</option>
<option value="30" <?php if($daily_db_day == "30") echo "selected=\"selected\""; ?>>30</option>
<option value="31" <?php if($daily_db_day == "31") echo "selected=\"selected\""; ?>>31</option>
</select>
&nbsp;<strong><a href="javascript:daily_db_day_direction('prev')">&lt;</a> <a href="javascript:daily_db_day_direction('next')">&gt;</a></strong>&nbsp;
<select name="daily_db_year" id="daily_db_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($daily_db_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($daily_db_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
        }
	}
}
?>
</select>
&nbsp; Bar Chart Shows:&nbsp;
<select name="daily_chartting" id="daily_chartting" class="select_menu">
<option value="commits" <?php if($daily_chartting == "commits") echo "selected=\"selected\""; ?>>Commit Levels</option>
<option value="rollbacks" <?php if($daily_chartting == "rollbacks") echo "selected=\"selected\""; ?>>Rollback Levels</option>
<option value="block_reads" <?php if($daily_chartting == "block_reads") echo "selected=\"selected\""; ?>>Block Read Levels</option>
<option value="buffer_hits" <?php if($daily_chartting == "buffer_hits") echo "selected=\"selected\""; ?>>Buffer Hit Levels</option>
<option value="inserts" <?php if($daily_chartting == "inserts") echo "selected=\"selected\""; ?>>User Insert Levels</option>
<option value="updates" <?php if($daily_chartting == "updates") echo "selected=\"selected\""; ?>>User Update Levels</option>
<option value="deletes" <?php if($daily_chartting == "deletes") echo "selected=\"selected\""; ?>>User Delete Levels</option>
<option value="seq_scans" <?php if($daily_chartting == "seq_scans") echo "selected=\"selected\""; ?>>Sequence Scan Levels</option>
<option value="idx_scans" <?php if($daily_chartting == "idx_scans") echo "selected=\"selected\""; ?>>Index Scan Levels</option>
</select>
&nbsp;<a href="javascript:retrieve_daily_db_stats()"><strong>GO!</strong></a></span></td>
</tr>
</table></td>
</tr>
<tr id="view_daily_dbs" style="display:none;">
<td class="body_secondary"><div id="view_daily_dbs_data" style="display:none;"></div></td>
</tr> 
</table>
</div>

<!-- -------------- -->
<!-- MONTH VS MONTH -->
<!-- -------------- -->
<div id="view_monthvs_full" style="display:none;">
<table>
<tr>
<td>
<table>
<tr>
<td style="padding-bottom:10pt;"><div class="stat_header">Statistics > Month VS Month Comparison</div>
<div class="body_secondary" style="margin:5px 0 5px 0;">Stats data (commits, rollbacks, inserts, updates, etc.) on two VS months side-by-side showing peak days and averages on each.</div></td>
</tr>
<tr>
<td style="padding-bottom:5pt;"><span class="body_secondary">Month A:&nbsp;
<select name="mvm_a_month" id="mvm_a_month" class="select_menu">
<option value="01" <?php if($mvm_a_month == "01") echo "selected=\"selected\""; ?>>Jan</option>
<option value="02" <?php if($mvm_a_month == "02") echo "selected=\"selected\""; ?>>Feb</option>
<option value="03" <?php if($mvm_a_month == "03") echo "selected=\"selected\""; ?>>Mar</option>
<option value="04" <?php if($mvm_a_month == "04") echo "selected=\"selected\""; ?>>Apr</option>
<option value="05" <?php if($mvm_a_month == "05") echo "selected=\"selected\""; ?>>May</option>
<option value="06" <?php if($mvm_a_month == "06") echo "selected=\"selected\""; ?>>Jun</option>
<option value="07" <?php if($mvm_a_month == "07") echo "selected=\"selected\""; ?>>Jul</option>
<option value="08" <?php if($mvm_a_month == "08") echo "selected=\"selected\""; ?>>Aug</option>
<option value="09" <?php if($mvm_a_month == "09") echo "selected=\"selected\""; ?>>Sep</option>
<option value="10" <?php if($mvm_a_month == "10") echo "selected=\"selected\""; ?>>Oct</option>
<option value="11" <?php if($mvm_a_month == "11") echo "selected=\"selected\""; ?>>Nov</option>
<option value="12" <?php if($mvm_a_month == "12") echo "selected=\"selected\""; ?>>Dec</option>
</select>
&nbsp;<strong><a href="javascript:mvm_a_month_direction('prev')">&lt;</a> <a href="javascript:mvm_a_month_direction('next')">&gt;</a></strong>&nbsp;
<select name="mvm_a_year" id="mvm_a_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($mvm_a_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($mvm_a_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
        }
	}
}
?>
</select>
&nbsp;VS Month B:&nbsp;
<select name="mvm_b_month" id="mvm_b_month" class="select_menu">
<option value="01" <?php if($mvm_b_month == "01") echo "selected=\"selected\""; ?>>Jan</option>
<option value="02" <?php if($mvm_b_month == "02") echo "selected=\"selected\""; ?>>Feb</option>
<option value="03" <?php if($mvm_b_month == "03") echo "selected=\"selected\""; ?>>Mar</option>
<option value="04" <?php if($mvm_b_month == "04") echo "selected=\"selected\""; ?>>Apr</option>
<option value="05" <?php if($mvm_b_month == "05") echo "selected=\"selected\""; ?>>May</option>
<option value="06" <?php if($mvm_b_month == "06") echo "selected=\"selected\""; ?>>Jun</option>
<option value="07" <?php if($mvm_b_month == "07") echo "selected=\"selected\""; ?>>Jul</option>
<option value="08" <?php if($mvm_b_month == "08") echo "selected=\"selected\""; ?>>Aug</option>
<option value="09" <?php if($mvm_b_month == "09") echo "selected=\"selected\""; ?>>Sep</option>
<option value="10" <?php if($mvm_b_month == "10") echo "selected=\"selected\""; ?>>Oct</option>
<option value="11" <?php if($mvm_b_month == "11") echo "selected=\"selected\""; ?>>Nov</option>
<option value="12" <?php if($mvm_b_month == "12") echo "selected=\"selected\""; ?>>Dec</option>
</select>
&nbsp;<strong><a href="javascript:mvm_b_month_direction('prev')">&lt;</a> <a href="javascript:mvm_b_month_direction('next')">&gt;</a></strong>&nbsp;
<select name="mvm_b_year" id="mvm_b_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($mvm_b_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($mvm_b_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
        }
	}
}
?>
</select>
&nbsp; Bar Chart Shows:&nbsp;
<select name="vs_chartting" id="vs_chartting" class="select_menu">
<option value="commits" <?php if($vs_chartting == "commits") echo "selected=\"selected\""; ?>>Commit Levels</option>
<option value="rollbacks" <?php if($vs_chartting == "rollbacks") echo "selected=\"selected\""; ?>>Rollback Levels</option>
<option value="block_reads" <?php if($vs_chartting == "block_reads") echo "selected=\"selected\""; ?>>Block Read Levels</option>
<option value="buffer_hits" <?php if($vs_chartting == "buffer_hits") echo "selected=\"selected\""; ?>>Buffer Hit Levels</option>
<option value="inserts" <?php if($vs_chartting == "inserts") echo "selected=\"selected\""; ?>>User Insert Levels</option>
<option value="updates" <?php if($vs_chartting == "updates") echo "selected=\"selected\""; ?>>User Update Levels</option>
<option value="deletes" <?php if($vs_chartting == "deletes") echo "selected=\"selected\""; ?>>User Delete Levels</option>
<option value="seq_scans" <?php if($vs_chartting == "seq_scans") echo "selected=\"selected\""; ?>>Sequence Scan Levels</option>
<option value="idx_scans" <?php if($vs_chartting == "idx_scans") echo "selected=\"selected\""; ?>>Index Scan Levels</option>
</select>
&nbsp;<a href="javascript:retrieve_mvm_db_stats()"><strong>GO!</strong></a></span></td>
</tr>
</table></td>
</tr>
<tr id="view_mvm" style="display:none;">
<td class="body_secondary"><div id="view_mvm_data" style="display:none;"></div></td>
</tr>
</table>
</div>

<!-- --------------- -->
<!-- WEEKLY TRENDING -->
<!-- --------------- -->
<div id="view_weekly_trend_full" style="display:none;">
<table>
<tr>
<td>
<table>
<tr>
<td style="padding-bottom:10pt;"><div class="stat_header">Statistics > Weekly Trending</div>
<div class="body_secondary" style="margin:5px 0 5px 0;">Stats general stat activity (commits, inserts, updates, deletes, block reads, buffer hits, etc.) grouped by days of the week.</div></td>
</tr>
<tr>
<td style="padding-bottom:5pt;">
<span class="body_secondary">For Month:&nbsp;
<select name="weekly_month" id="weekly_month" class="select_menu">
<option value="01" <?php if($weekly_month == "01") echo "selected=\"selected\""; ?>>Jan</option>
<option value="02" <?php if($weekly_month == "02") echo "selected=\"selected\""; ?>>Feb</option>
<option value="03" <?php if($weekly_month == "03") echo "selected=\"selected\""; ?>>Mar</option>
<option value="04" <?php if($weekly_month == "04") echo "selected=\"selected\""; ?>>Apr</option>
<option value="05" <?php if($weekly_month == "05") echo "selected=\"selected\""; ?>>May</option>
<option value="06" <?php if($weekly_month == "06") echo "selected=\"selected\""; ?>>Jun</option>
<option value="07" <?php if($weekly_month == "07") echo "selected=\"selected\""; ?>>Jul</option>
<option value="08" <?php if($weekly_month == "08") echo "selected=\"selected\""; ?>>Aug</option>
<option value="09" <?php if($weekly_month == "09") echo "selected=\"selected\""; ?>>Sep</option>
<option value="10" <?php if($weekly_month == "10") echo "selected=\"selected\""; ?>>Oct</option>
<option value="11" <?php if($weekly_month == "11") echo "selected=\"selected\""; ?>>Nov</option>
<option value="12" <?php if($weekly_month == "12") echo "selected=\"selected\""; ?>>Dec</option>
</select>
&nbsp;<strong><a href="javascript:weekly_month_direction('prev')">&lt;</a> <a href="javascript:weekly_month_direction('next')">&gt;</a></strong>&nbsp;
<select name="weekly_year" id="weekly_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($weekly_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($weekly_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
        }
	}
}
?>
</select>
&nbsp; Bar Chart Shows:&nbsp;
<select name="weekly_chartting" id="weekly_chartting" class="select_menu">
<option value="commits" <?php if($weekly_chartting == "commits") echo "selected=\"selected\""; ?>>Commit Levels</option>
<option value="rollbacks" <?php if($weekly_chartting == "rollbacks") echo "selected=\"selected\""; ?>>Rollback Levels</option>
<option value="block_reads" <?php if($weekly_chartting == "block_reads") echo "selected=\"selected\""; ?>>Block Read Levels</option>
<option value="buffer_hits" <?php if($weekly_chartting == "buffer_hits") echo "selected=\"selected\""; ?>>Buffer Hit Levels</option>
<option value="inserts" <?php if($weekly_chartting == "inserts") echo "selected=\"selected\""; ?>>User Insert Levels</option>
<option value="updates" <?php if($weekly_chartting == "updates") echo "selected=\"selected\""; ?>>User Update Levels</option>
<option value="deletes" <?php if($weekly_chartting == "deletes") echo "selected=\"selected\""; ?>>User Delete Levels</option>
<option value="seq_scans" <?php if($weekly_chartting == "seq_scans") echo "selected=\"selected\""; ?>>Sequence Scan Levels</option>
<option value="idx_scans" <?php if($weekly_chartting == "idx_scans") echo "selected=\"selected\""; ?>>Index Scan Levels</option>
</select>
&nbsp;<a href="javascript:retrieve_weekly_trend_stats()"><strong>GO!</strong></a></span></td>
</tr>
</table></td>
</tr>
<tr id="view_weekly_trend" style="display:none;">
<td class="body_secondary"><div id="view_weekly_trend_data" style="display:none;"></div></td>
</tr>
</table>
</div>

<!-- --------------- -->
<!-- YEARLY SNAPSHOT -->
<!-- --------------- -->
<div id="view_yearly_full" style="display:none;">
<table>
<tr>
<td>
<table>
<tr>
<td style="padding-bottom:10pt;"><div class="stat_header">Statistics > Yearly Snapshot</div>
<div class="body_secondary" style="margin:5px 0 5px 0;">Stats general yearly activity (commits, inserts, updates, deletes, block reads, buffer hits, etc.) and shows peak month and commit averages.</div></td>
</tr>
<tr>
<td style="padding-bottom:5pt;">
<span class="body_secondary">For Year:&nbsp;
<select name="snap_entire_year" id="snap_entire_year" class="select_menu">
<?php
###########################################################
#CHECK FIRST TO SEE IF OUR STAT_YEARS_ARRAY IS NOT SET
#IF NOT - SIMPLY SHOW THE CURRENT YEAR IN OUR DROPDOWN MENU
###########################################################
if(!isset($stat_years_array))
{
?>
	<option value="<?php echo $current_year?>" <?php if($snap_entire_year == "$current_year") echo "selected=\"selected\""; ?>><?php echo $current_year?></option>
<?php
}
else
{
	###############################################################################################
	#STAT_YEARS_ARRAY IS SET - ITERATE THROUGH OUR FOLDERS / YEARS
	#FIRST CHECK TO MAKE SURE THEY ARE 4 DIGITS AND NUMERIC TO EXCLUDE THE "." AND ".." DIRECTORIES
	###############################################################################################
	for($i=0; $i<count($stat_years_array); $i++)
	{
		##############
		#VALIDATE YEAR
		##############
		if(strlen($stat_years_array[$i]) == 4 && is_numeric($stat_years_array[$i]))
		{
		?>
			<option value="<?php echo $stat_years_array[$i]?>" <?php if($snap_entire_year == "$stat_years_array[$i]") echo "selected=\"selected\""; ?>><?php echo $stat_years_array[$i]?></option>
		<?php
		}
	}
}
?>
</select>
&nbsp;Bar Chart Shows:&nbsp;
<select name="year_chartting" id="year_chartting" class="select_menu">
<option value="commits" <?php if($year_chartting == "commits") echo "selected=\"selected\""; ?>>Commit Levels</option>
<option value="rollbacks" <?php if($year_chartting == "rollbacks") echo "selected=\"selected\""; ?>>Rollback Levels</option>
<option value="block_reads" <?php if($year_chartting == "block_reads") echo "selected=\"selected\""; ?>>Block Read Levels</option>
<option value="buffer_hits" <?php if($year_chartting == "buffer_hits") echo "selected=\"selected\""; ?>>Buffer Hit Levels</option>
<option value="inserts" <?php if($year_chartting == "inserts") echo "selected=\"selected\""; ?>>User Insert Levels</option>
<option value="updates" <?php if($year_chartting == "updates") echo "selected=\"selected\""; ?>>User Update Levels</option>
<option value="deletes" <?php if($year_chartting == "deletes") echo "selected=\"selected\""; ?>>User Delete Levels</option>
<option value="seq_scans" <?php if($year_chartting == "seq_scans") echo "selected=\"selected\""; ?>>Sequence Scan Levels</option>
<option value="idx_scans" <?php if($year_chartting == "idx_scans") echo "selected=\"selected\""; ?>>Index Scan Levels</option>
</select>
&nbsp;<strong><a href="javascript:retrieve_yearly_snapshot()">GO!</a></strong></span></td>
</tr>
</table></td>
</tr>
<tr id="view_year_snap" style="display:none;">
<td class="body_secondary"><div id="view_year_snap_data" style="display:none;"></div></td>
</tr>
</table>
</div>

<!-- ------------- -->
<!-- COMPLETE HTML -->
<!-- ------------- -->
</td>
</tr>
</table>
</div>
</body>
</html>