<?php
/*
#####################
#POSTGRESTATS LICENSE
#####################
Copyright 2013 NWLYNX <http://www.nwlynx.com/>.

This file is part of PostgreStats <http://www.postgrestats.com/>.

PostgreStats is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PostgreStats is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with PostgreStats. If not, see <http://www.gnu.org/licenses/>.
*/


#####################################################################################
#BASIC USER/PASS REALM AUTHENTICATION
#THIS FEATURE IS ONLY ENABLED IF THE $USE_AUTHENTICATION CONF VARIABLE IS SET TO TRUE
#AND BOTH $PG_AUTH_USER AND $PG_AUTH_PASS CONF VARIABLES HAVE VALUES
#####################################################################################

####################################
#OUR HTTPD BASIC REALM AUTH FUNCTION
####################################
function auth_admin($use_authentication,$pg_auth_user,$pg_auth_pass)
{
	########################################################################################################
	#CHECK TO SEE IF THE AUTHENTICATION FEATURE IS ON OR OFF (1 OR 2)
	#BE SAFE AND DEFAULT IT TO OFF IF THE VARIABLE IS EMPTY, DOESN'T EQUAL 1, OR IF USER/PASS VARS ARE EMPTY
	########################################################################################################
	if(empty($use_authentication) || $use_authentication != 1 || empty($pg_auth_user) || empty($pg_auth_pass)) $use_authentication = false;
	
	##########################
	#IF EVERYTHING IS IN PLACE
	##########################
	if($use_authentication == 1)
	{
		###############
		#CHECK FOR USER
		###############
		if(!isset($_SERVER['PHP_AUTH_USER']))
		{
			############################
			#SET REALM NAME OR KICK USER
			############################
			Header("WWW-Authenticate: Basic realm=\"PostgreStats\"");
			Header("HTTP/1.0 401 Unauthorized");
			echo "Access Denied.<br>This area is resticted to authorized users. You must login first.";
			exit;
		}
		
		############################
		#CHECK FOR USER / PASS MATCH
		############################
		if($_SERVER['PHP_AUTH_USER'] != $pg_auth_user || $_SERVER['PHP_AUTH_PW'] != $pg_auth_pass)
		{
			############################
			#SET REALM NAME OR KICK USER
			############################
			Header("WWW-Authenticate: Basic realm=\"PostgreStats\"");
			Header("HTTP/1.0 401 Unauthorized");
			echo "Access Denied.<br>This area is resticted to authorized users. You must login first.";
			exit;
		}
	}
}
?>