<?php
/*
#####################
#POSTGRESTATS LICENSE
#####################
Copyright 2013 NWLYNX <http://www.nwlynx.com/>.

This file is part of PostgreStats <http://www.postgrestats.com/>.

PostgreStats is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PostgreStats is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with PostgreStats. If not, see <http://www.gnu.org/licenses/>.
*/


###################################################################################################################################
#VARIABLES WHICH SHOULD BE SET BY YOU - SPECIFIC TO YOUR CONFIGURATION AND POSTGRES IMPLEMENTATION
#THIS FILE WILL BE REQUIRED BY OTHER DEPENDENT SCRIPTS AND MUST BE BOTH PRESENT AND ACCURATE WITH
#YOUR SERVER'S CONFIGURATION AND CREDENTIALS - PLEASE CHECK SERVER PATHS, LOG-IN INFORMATION, ETC.
###################################################################################################################################

###################################################################################################################################
#WINDOWS VS UNIX/LINUX DIRECTORY PATHS:
#USE SINGLE FORWWARD SLASHES IN PLACE OF ALL BACKSLASHES - EXAMPLE: "c:/directory/path"
###################################################################################################################################

###################################################################################################################################
#POSTGRESTATS INSTALLATION DIRECTORY PATH - THE LOCATION OF THE POSTGRESTATS FOLDER ON YOUR SERVER
#YOUR STATS INSTALL SHOULD BE ONLY ON THE DB LOCALHOST VS AN OUTSIDE SERVER
#NOTE - LEAVE THE TRAILING "/" OFF OF THE DIRECTORY PER THE EXAMPLE BELOW
###################################################################################################################################

$postgrestats_dir = "/var/www/html";		#UPDATE THIS WITH YOUR DESIRED INSTALL PATH

###################################################################################################################################
#DATABASE HOST AND LOG-IN CREDENTIALS
#IMPORTANT - YOUR PG USER MUST HAVE SELECT ACCESS PRIVILEGES TO THE POSTGRES pg_stat_database AND pg_stat_user_tables VIEWS
#IF YOU ARE UNSURE ABOUT YOUR USER'S PRIVILEGES, FIRE UP PSQL IN A SHELL, LOG-IN TO YOUR DATABASE
#AND EXECUTE THE FOLLOWING QUERY: "SELECT * FROM pg_stat_database;"
###################################################################################################################################

$db_name = "database_name_psql";
$db_user = "database_user";
$db_pass = "database_pass";
$db_host = "localhost";

###################################################################################################################################
#PSQL SERVER PATH / LOCATION
#WHEN ROOT EXECUTES THE cron_log_update.php SCRIPT, THE LAST THING IT WILL DO IS SU TO POSTGRES
#VIA A VARIABLE ESCAPED PHP EXEC FUNCTION AND SEND PSQL THE STAT RESET FOR EACH DATABASE
#UPDATE THE $psql_loc VARIABLE BELOW SO IT REFLECTS YOUR SERVER'S PATH TO PSQL
###################################################################################################################################

$psql_loc = "/usr/bin/psql";		#UPDATE THIS TO YOUR SERVER'S PATH TO PSQL

###################################################################################################################################
#POSTGRES SUPER USER - RESETTING THE pg_stat_database VIEW
#ONCE A LOG IS CREATED/UPDATED, THE DB SUPER-USER SET HERE (DEFAULT IS "postgres") WILL BE USED TO ZERO OUT pg_stat_database
#IF YOU'VE DISABLED THE USER "postgres", UPDATE THE $db_su VARIABLE BELOW TO YOUR POSTGRES SUPER USER
###################################################################################################################################

$db_su = "postgres";

###################################################################################################################################
#WEB AUTHENTICATION - OPTIONAL FEATURE
#HTTPD BASIC USER/PASS REALM AUTHENTICATION CAN BE TURNED ON OR OFF WHERE WHEN IT'S ON WEB VISITORS WILL
#NEED TO BE AUTHENTICATED WITH THE USER / PASS CREDENTIALS YOU SET BELOW.
#FOR ADDITIONAL SECURITY - YOU CAN OPTIONALLY ACCESS THE MAIN index.php PAGE USING YOUR NETWORK'S SSL CERT
###################################################################################################################################

$use_authentication = 2;			#TURNS THIS FEATURE ON OR OFF - VALUES ARE 1 (USING AUTH) OR 2 (NOT USING AUTH)
$pg_auth_user = "";					#IF EMPTY - WILL OVERRIDE THE $use_authentication VARIABLE
$pg_auth_pass = "";					#IF EMPTY - WILL OVERRIDE THE $use_authentication VARIABLE

###################################################################################################################################
#RUN VACUUM ANALYZE AFTER LOG UPDATES / PG_STAT_RESET - OFF BY DEFAULT
#THIS FEATURE IS AVAILABLE IN THE EVENT YOU DO NOT USE THE AUTO VACUUM / ANLYZE FEATURES ON A NEWER POSTGRES VERSION (RECOMMENDED),
#AND DO NOT USE CRON TO MANUALLY EXECUTE VACUUM / ANALYZE ON YOUR POSTGRES DATABASES.
#WHEN SET TO 1 (ON) A STANDARD "VACUUM ANALYZE" (NOT A VACUUM FULL ANALYZE) IS PERFORMED ON EACH DATABASE AFTER LOG UPDATE.
#SET THIS OPTION TO 2 (OFF) IF YOU ARE USING AUTO VACUUM/ANALYZE OR MANUALLY CRON YOUR DATABASE VACUUMS/ANLYZES.
#WHEN THIS FEATURE IS ON, YOUR COMMIT LEVEL STATS WILL BE HIGHER, INCLUSIVE OF THE QUERIES VACUUM/ANALYZE PERFORMS.
###################################################################################################################################

$use_vacuum_analyze = 2;			#VALUES ARE 1 (VACUUM ANALYZE AFTER LOG UPDATE) OR 2 (DO NOT VACUUM ANALYZE AFTEER LOG UPDATE)

###################################################################################################################################
#AUTO LOCAL DATA BACK-UP
#WHEN THIS FEATURE IS ON, THE ENTIRE DATA FOLDER WILL BE AUTOMATICALLY BACKED-UP EACH TIME cron_log_update.php
#IS RAN BY CRON (PRIOR TO). THE BACK-UP WILL RESIDE INSIDE YOUR MAIN POSTGRESTATS DIRECTORY AND LABELED data_bak.tar.gz
#NOTE - tar AND gzip MUST EXIST AND BE ROOT EXECUTABLE ON YOUR SERVER FOR THIS FEATURE TO EXECUTE
###################################################################################################################################

$use_auto_backup = 1;				#VALUES ARE 1 (USING AUTO-LOCAL BACK-UP) OR 2 - IF 2, A LOCAL BACK-UP WILL NOT BE CREATED

###################################################################################################################################
#COMPLETION SUMMARY EMAIL / REMOTE BACK-UP ATTACHMENT
#WILL SEND A SUMMARY EMAIL TO THE RECIPIENT BELOW EACH TIME cron_log_update.php IS EXECUTED BY ROOT'S CRON.
#WHEN $attach_data_backup IS SET TO 1 (ONE), A LOCAL BACK-UP IS CREATED (OVERRIDING $use_auto_backup ABOVE) AND SENT WITH EMAIL.
#THIS FEATURE USES SENDMAIL AND PHP'S MAIL() FUNCTION - SENDMAIL MUST BE PRESENT AND RUNNING - IF NOT, SET 1 (ONE) TO 2 (TWO)
###################################################################################################################################

$send_completion_email = 2;			#VALUES ARE 1 (SEND RECAP EMAIL ON UPDATE) AND 2 (DON'T SEND RECAP EMAIL ON UPDATE)
$stats_email = "";					#MUST BE A LEGIT EMAIL WITH A VALID MX RECORD
$attach_data_backup = 2;			#WILL ATTACH THE LOCAL DATA BACKUP TO THE EMAIL - VALUES ARE 1 (ATTACH) OR 2 (DON'T ATTACH)

###################################################################################################################################
#INTERFACE COLOR
#THIS FEATURE ALLOWS YOU TO SWAP THE DEFAULT INTERFACE COLOR SCHEME
###################################################################################################################################

$interface = 1;						#VALUES ARE 1 (WHITE ON BLACK) AND 2 (BLACK ON WHITE)

###################################################################################################################################
#DEFAULT SITE WIDTH
#CHANGE THIS TO A PX OR % DIMENSION. NOTE: IF USING PIXELS, 1000PX IS THE RECOMMENDATION AND DEFAULT
###################################################################################################################################

$site_width = "1000px";				#EXAMPLES: 1000px, 100%

###################################################################################################################################
#FTP WEB-SERVER COPY
#VIEW POSTGRESTATS ON AN ALTERNATIVE, LOCAL WEB-SERVER BY ENABLING THIS FEATURE. FTP WILL FIRST DELETE THE DESTINATION POSTGRESTATS
#DIRECTORY AND PUSH A COPY OF THE LOCAL POSTGRES DIRECTORY UP, OMITING THE CRON_LOG_UPDATE.PHP SCRIPT FOR SECURITY PURPOSES.
#IMPORTANT - THE DIRECTORY PATH TO POSTGRESTATS MUST BE THE SAME ON BOTH THE LOCAL AND DESTINATION SERVERS.
#IMPORTANT - THIS A RECURSIVE FTP DELETE ON THE REMOTE POSTGRESTATS DIRECTORY, CONFIGURE YOUR PATHS WITH CAUTION.
#IMPORTANT - FOR SAFETY, BOTH $src_dir (LOCAL) AND $dst_dir (REMOTE) PATH VARIABLES MUST END PRESICELY WITH: "/postgrestats/" 
###################################################################################################################################

$ftp_to_webserver = 2;							#VALUES ARE 1 (FTP TO WEB-SERVER) AND 2 (DO NOT FTP TO WEB-SERVER)
$ftp_user_name = "ftp_user";					#FTP USERNAME
$ftp_user_pass = "ftp_pass";					#FTP PASSWORD
$ftp_server_ip = "192.168.XXX.XXX";				#FTP SERVER IP
$src_dir = "$postgrestats_dir/postgrestats/";	#LOCAL POSTGRESTATS SOURCE DIRECTORY
$dst_dir = "$postgrestats_dir/postgrestats/";	#REMOTE SERVER SOURCE DIRECTORY (NOTE: SAME DIRECTORY PATH ON REMOTE SERVER)
?>