/*
#####################
#POSTGRESTATS LICENSE
#####################
Copyright 2013 NWLYNX <http://www.nwlynx.com/>.

This file is part of PostgreStats <http://www.postgrestats.com/>.

PostgreStats is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

PostgreStats is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with PostgreStats. If not, see <http://www.gnu.org/licenses/>.
*/


//######################################
//MAIN FUNCTION TO CREATE XMLHTTP OBJECT
//######################################
function GetXmlHttpObject()
{
	//INITIATE XMLHTTP VAR
	var xmlHttp = null;
	
	//ATTEMPT TO CREATE FOR FIREFOX, OPERA, SAFARI
	try
	{
		xmlHttp = new XMLHttpRequest();
	} 
	
	//ATTEMPT TO CREATE FOR INTERNET EXPLORER
	catch (e)
	{
		try
		{
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
	}
	
	//RETURN THE RESULT
	return xmlHttp;
}

//#############################################################################
//MAIN FUNCTION TO RETRIEVE STATS FOR THE MAIN MONTH - INITIATING THE AJAX CALL
//#############################################################################
function retrieve_monthly_snapshot(month,year)
{
	//FIRST SEE IF PARAMS WERE PASSED TO THIS FUNCTION (FROM THE MONTHLY SNAPSHOT LINKS
	if(month == null || year == null)
	{
		var month = document.getElementById('snap_month').value;
		var year = document.getElementById('snap_year').value;
	}
	else
	{
		//SET THE MENU ITEMS TO MATCH FOR THE VISITOR
		document.getElementById('snap_month').value = month;
		document.getElementById('snap_year').value = year;
	}
	
	//GET OUR ROW AND DATA ROW IDS
	var view_daily_full = document.getElementById('view_daily_full');
	var view_month_snap_data = document.getElementById('view_month_snap_data');
	var view_month_snap = document.getElementById('view_month_snap');
	
	//GET OUR SNAP CHARTTING VALUE SO WE KNOW WHAT TO CHART
	var snap_chartting = document.getElementById('snap_chartting').value;

	//CREATE OUR XMLHTTP OBJECT
	xmlHttp = GetXmlHttpObject();
	
	//MAKE SURE IT EXISTS
	if(xmlHttp == null)
	{
		alert ("Your browser does not support AJAX.");
		return;
	}
	else
	{
		//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
		//1 REQUEST HAS BEEN SET UP
		//2 REQUEST HAS BEEN SENT
		//3 REQUEST IN PROCESS
		//4 REQUEST COMPLETED
		xmlHttp.onreadystatechange = function()				
		{	
			//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
			if(xmlHttp.readyState == 1)							
			{
				//CLEAR THE STAT VIEW
				clear_stat_views();
				
				//FIRST MAKE SURE OUR MAIN DATA AREA IS VISIBLE
				view_daily_full.style.display = '';
				view_month_snap_data.innerHTML = 'Loading Stats...';					
				view_month_snap.style.display = '';
				view_month_snap_data.style.display = '';
			}
			
			//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
			if(xmlHttp.readyState == 4)	
			{
				view_month_snap_data.innerHTML = xmlHttp.responseText;
			}
		};
		
		//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
		//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
		var params = "stat_function=retrieve_monthly_snapshot&month=" + month + "&year=" + year + "&snap_chartting=" + snap_chartting;
		xmlHttp.open("POST","scripts/functions.php",true);
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", params.length);
		xmlHttp.setRequestHeader("Connection", "close");
		xmlHttp.send(params);
	}
}

//###################################################################
//MAIN FUNCTION TO RETRIEVE DAILY DB STATS - INITIATING THE AJAX CALL
//###################################################################
function retrieve_daily_db_stats(month,day,year)
{
	//FIRST SEE IF PARAMS WERE PASSED TO THIS FUNCTION (FROM THE MONTHLY SNAPSHOT LINKS
	if(month == null || day == null || year == null)
	{
		var month = document.getElementById('daily_db_month').value;
		var day = document.getElementById('daily_db_day').value;
		var year = document.getElementById('daily_db_year').value;
	}
	else
	{
		//SET THE MENU ITEMS TO MATCH FOR THE VISITOR
		document.getElementById('daily_db_month').value = month;
		document.getElementById('daily_db_day').value = day;
		document.getElementById('daily_db_year').value = year;	
	}
	
	//GET OUR ROW AND DATA ROW IDS
	var view_daily_dbs_full = document.getElementById('view_daily_dbs_full');
	var view_daily_dbs_data = document.getElementById('view_daily_dbs_data');
	var view_daily_dbs = document.getElementById('view_daily_dbs');

	//GET OUR CHARTTING VALUE SO WE KNOW WHAT TO CHART
	var daily_chartting = document.getElementById('daily_chartting').value;

	//CREATE OUR XMLHTTP OBJECT
	xmlHttp = GetXmlHttpObject();
	
	//MAKE SURE IT EXISTS
	if(xmlHttp == null)
	{
		alert ("Your browser does not support AJAX.");
		return;
	}
	else
	{
		//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
		//1 REQUEST HAS BEEN SET UP
		//2 REQUEST HAS BEEN SENT
		//3 REQUEST IN PROCESS
		//4 REQUEST COMPLETED	
		xmlHttp.onreadystatechange = function()				
		{
			//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
			if(xmlHttp.readyState == 1)							
			{
				//CLEAR THE VIEWS
				clear_stat_views();
				
				//FIRST MAKE SURE OUR MAIN DATA AREA IS VISIBLE
				view_daily_dbs_full.style.display = '';
				view_daily_dbs_data.innerHTML = 'Loading Stats...';					
				view_daily_dbs.style.display = '';
				view_daily_dbs_data.style.display = '';
			}

			//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
			if(xmlHttp.readyState == 4)	
			{
				view_daily_dbs_data.innerHTML = xmlHttp.responseText;
			}
		};

		//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
		//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
		var params = "stat_function=retrieve_daily_db_stats&month=" + month + "&day=" + day + "&year=" + year + "&daily_chartting=" + daily_chartting;
		xmlHttp.open("POST","scripts/functions.php",true);
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", params.length);
		xmlHttp.setRequestHeader("Connection", "close");
		xmlHttp.send(params);
	}
}

//##################################################################
//MAIN FUNCTION TO RETRIEVE INDI DB STATS - INITIATING THE AJAX CALL
//##################################################################
function retrieve_indi_db_stats(db_name,month,day,year)
{
	//GET OUR DOCUMENT IDS
	var data_row = document.getElementById([db_name + '_data']);
	var row = document.getElementById(db_name);

	//HIDE EXTENDED STATS REGARDLESS
	var ext_row = document.getElementById([db_name + '_ext']);
	ext_row.style.display = 'none';

	//CHECK AND SEE IF THE MAIN DB MONTHLY BAR CHART ROW IS VISIBLE - IF SO, HIDE IT
	if(row.style.display === '')
	{
		row.style.display = 'none';
	}
	else if(data_row.style.display === '')
	{
		row.style.display = '';
	}
	else
	{
		//CREATE OUR XMLHTTP OBJECT
		xmlHttp = GetXmlHttpObject();
		
		//MAKE SURE IT EXISTS
		if (xmlHttp == null)
		{
			alert ("Your browser does not support AJAX.");
			return;
		}
		else
		{
			//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
			//1 REQUEST HAS BEEN SET UP
			//2 REQUEST HAS BEEN SENT
			//3 REQUEST IN PROCESS
			//4 REQUEST COMPLETED
			xmlHttp.onreadystatechange = function()				
			{
				//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
				if(xmlHttp.readyState == 1)							
				{													
					data_row.innerHTML = 'Loading Stats...';					
					row.style.display = '';							
					data_row.style.display = '';					
				}
				
				//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
				if(xmlHttp.readyState == 4)	
				{
					data_row.innerHTML = xmlHttp.responseText;
				}
			};
			
			//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
			//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
			var params = "stat_function=retrieve_indi_db_stats&db=" + db_name + "&log_month=" + month + "&log_day=" + day + "&log_year=" + year;
			xmlHttp.open("POST","scripts/functions.php",true);
			xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
			xmlHttp.setRequestHeader("Content-length", params.length);
			xmlHttp.setRequestHeader("Connection", "close");
			xmlHttp.send(params);
		}
	}
}

//###############################################
//FUNCTION TO OPEN UP DB INDI EXTENDED STATISTICS
//###############################################
function retrieve_indi_extended(db_name)
{
	//GET OUR DOCUMENT IDS
	var ext_row = document.getElementById([db_name + '_ext']);

	//HIDE INDI DATA ROWS REGARDLESS
	var row = document.getElementById(db_name);
	var data_row = document.getElementById([db_name + '_data']);
	row.style.display = 'none';
	data_row.style.display = 'none';

	//HIDE OR SHOW THE EXTENDED STATISTICS AND INDI DB STATS AS WELL
	if(ext_row.style.display === '')
	{
		ext_row.style.display = 'none';
	}
	else
	{
		ext_row.style.display = '';
	}
}

//##############################################################################
//MAIN FUNCTION TO RETRIEVE MONTH VS MONTH STATISTICS - INITIATING THE AJAX CALL
//##############################################################################
function retrieve_mvm_db_stats()
{
	var month_a = document.getElementById('mvm_a_month').value;
	var year_a = document.getElementById('mvm_a_year').value;
	var month_b = document.getElementById('mvm_b_month').value;
	var year_b = document.getElementById('mvm_b_year').value;
	
	//GET OUR VS CHARTTING VALUE SO WE KNOW WHAT TO CHART
	var vs_chartting = document.getElementById('vs_chartting').value;
	
	//GET OUR ROW AND DATA ROW IDS
	var view_monthvs_full = document.getElementById('view_monthvs_full');
	var view_mvm_data = document.getElementById('view_mvm_data');
	var view_mvm = document.getElementById('view_mvm');
	
	//CREATE OUR XMLHTTP OBJECT
	xmlHttp = GetXmlHttpObject();
	
	//MAKE SURE IT EXISTS
	if(xmlHttp == null)
	{
		alert ("Your browser does not support AJAX.");
		return;
	}
	else
	{
		//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
		//1 REQUEST HAS BEEN SET UP
		//2 REQUEST HAS BEEN SENT
		//3 REQUEST IN PROCESS
		//4 REQUEST COMPLETED
		xmlHttp.onreadystatechange = function()				
		{
			//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
			if(xmlHttp.readyState == 1)							
			{
				//FIRST MAKE SURE OUR MAIN DATA AREA IS VISIBLE
				view_monthvs_full.style.display = '';
				view_mvm_data.innerHTML = 'Loading Stats...';					
				view_mvm.style.display = '';
				view_mvm_data.style.display = '';					
			}
			
			//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
			if(xmlHttp.readyState == 4)	
			{
				view_mvm_data.innerHTML = xmlHttp.responseText;
			}
		};
		
		//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
		//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
		var params = "stat_function=retrieve_mvm_db_stats&month_a=" + month_a + "&year_a=" + year_a + "&month_b=" + month_b + "&year_b=" + year_b + "&vs_chartting=" + vs_chartting;
		xmlHttp.open("POST","scripts/functions.php",true);
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", params.length);
		xmlHttp.setRequestHeader("Connection", "close");
		xmlHttp.send(params);
	}
}

//##############################################################################
//MAIN FUNCTION TO RETRIEVE STATS FOR THE WEEKLY VIEW - INITIATING THE AJAX CALL
//##############################################################################
function retrieve_weekly_trend_stats()
{
	//FIRST GET OUR MONTH, YEAR AND CHARTTING VARS
	var month = document.getElementById('weekly_month').value;
	var year = document.getElementById('weekly_year').value;
	
	//GET OUR SNAP CHARTTING VALUE SO WE KNOW WHAT TO CHART
	var weekly_chartting = document.getElementById('weekly_chartting').value;
	
	//GET OUR ROW AND DATA ROW IDS
	var view_weekly_trend_full = document.getElementById('view_weekly_trend_full');
	var view_weekly_trend_data = document.getElementById('view_weekly_trend_data');
	var view_weekly_trend = document.getElementById('view_weekly_trend');
	
	//CREATE OUR XMLHTTP OBJECT
	xmlHttp = GetXmlHttpObject();
	
	//MAKE SURE IT EXISTS
	if(xmlHttp == null)
	{
		alert ("Your browser does not support AJAX.");
		return;
	}
	else
	{
		//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
		//1 REQUEST HAS BEEN SET UP
		//2 REQUEST HAS BEEN SENT
		//3 REQUEST IN PROCESS
		//4 REQUEST COMPLETED
		xmlHttp.onreadystatechange = function()				
		{	
			//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
			if(xmlHttp.readyState == 1)							
			{
				//FIRST MAKE SURE OUR MAIN DATA AREA IS VISIBLE
				view_weekly_trend_full.style.display = '';
				view_weekly_trend_data.innerHTML = 'Loading Stats...';					
				view_weekly_trend.style.display = '';
				view_weekly_trend_data.style.display = '';
			}
			
			//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
			if(xmlHttp.readyState == 4)	
			{
				view_weekly_trend_data.innerHTML = xmlHttp.responseText;
			}
		};
		
		//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
		//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
		var params = "stat_function=retrieve_weekly_trend&month=" + month + "&year=" + year + "&weekly_chartting=" + weekly_chartting;
		xmlHttp.open("POST","scripts/functions.php",true);
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", params.length);
		xmlHttp.setRequestHeader("Connection", "close");
		xmlHttp.send(params);
	}
}

//#########################################################################
//MAIN FUNCTION TO RETRIEVE YEARLY SNAPSHOT DATA - INITIATING THE AJAX CALL
//#########################################################################
function retrieve_yearly_snapshot()
{
	var year = document.getElementById('snap_entire_year').value;
	
	//GET OUR SNAP CHARTTING VALUE SO WE KNOW WHAT TO CHART
	var year_chartting = document.getElementById('year_chartting').value;
	
	//GET OUR ROW AND DATA ROW IDS
	var view_yearly_full = document.getElementById('view_yearly_full');
	var view_year_snap_data = document.getElementById('view_year_snap_data');
	var view_year_snap = document.getElementById('view_year_snap');
 
	//CREATE OUR XMLHTTP OBJECT
	xmlHttp = GetXmlHttpObject();
	
	//MAKE SURE IT EXISTS
	if(xmlHttp == null)
	{
		alert ("Your browser does not support AJAX.");
		return;
	}
	else
	{
		//FUNCTION TO PARSE THE RESULTS PER THE FOLLOWING CODES
		//1 REQUEST HAS BEEN SET UP
		//2 REQUEST HAS BEEN SENT
		//3 REQUEST IN PROCESS
		//4 REQUEST COMPLETED
		xmlHttp.onreadystatechange = function()				
		{
			//SHOW THE "STATS LOADING" MSG FIRST - MAKE BOTH ROWS VISIBLE NOW
			if(xmlHttp.readyState == 1)							
			{
				//FIRST MAKE SURE OUR MAIN DATA AREA IS VISIBLE
				view_yearly_full.style.display = '';
				view_year_snap_data.innerHTML = 'Loading Stats...';					
				view_year_snap.style.display = '';
				view_year_snap_data.style.display = '';
			}
			
			//OBTAIN OUR FINAL RESULT ON COMPLETION AND PASS TO THE HTML ROW
			if(xmlHttp.readyState == 4)	
			{
				view_year_snap_data.innerHTML = xmlHttp.responseText;
			}
		};
		
		//CREATE PARAMS WHICH WILL HOLD OUR POST VARS TO BE SENT
		//OPEN WITH POST AND BELOW SET-UP HEADERS - REQUIRED FOR USING POST METHOD
		var params = "stat_function=retrieve_yearly_snapshot&year=" + year + "&year_chartting=" + year_chartting;
		xmlHttp.open("POST","scripts/functions.php",true);
		xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xmlHttp.setRequestHeader("Content-length", params.length);
		xmlHttp.setRequestHeader("Connection", "close");
		xmlHttp.send(params);
	}
}

//##############################################################
//FUNCTION TO SEND SNAP_MONTH MENU FORWARD OR BACKWARD ONE MONTH
//##############################################################
function monthly_snapshot_month_direction(direction)
{
	var month_index = document.getElementById('snap_month').selectedIndex;
	
	if(direction == "prev")
	{
		if(month_index <= 0)
		{
			document.getElementById('snap_month').selectedIndex = 11;
		}
		else
		{
			document.getElementById('snap_month').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(month_index >= 11)
		{
			document.getElementById('snap_month').selectedIndex = 0;
		}
		else
		{
			document.getElementById('snap_month').selectedIndex++;
		}
	}
}

//##############################################################
//FUNCTION TO SEND DAILY_DB_DAY MENU FORWARD OR BACKWARD ONE DAY
//##############################################################
function daily_db_day_direction(direction)
{
	var day_index = document.getElementById('daily_db_day').selectedIndex;
	
	if(direction == "prev")
	{
		if(day_index <= 0)
		{
			document.getElementById('daily_db_day').selectedIndex = 30;
		}
		else
		{
			document.getElementById('daily_db_day').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(day_index >= 30)
		{
			document.getElementById('daily_db_day').selectedIndex = 0;
		}
		else
		{
			document.getElementById('daily_db_day').selectedIndex++;
		}
	}
}

//################################################################
//FUNCTION TO SEND DAILY_DB_DAY MENU FORWARD OR BACKWARD ONE MONTH
//################################################################
function daily_db_month_direction(direction)
{
	var month_index = document.getElementById('daily_db_month').selectedIndex;
	
	if(direction == "prev")
	{
		if(month_index <= 0)
		{
			document.getElementById('daily_db_month').selectedIndex = 11;
		}
		else
		{
			document.getElementById('daily_db_month').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(month_index >= 11)
		{
			document.getElementById('daily_db_month').selectedIndex = 0;
		}
		else
		{
			document.getElementById('daily_db_month').selectedIndex++;
		}
	}
}

//###############################################################
//FUNCTION TO SEND MVM_A_MONTH MENU FORWARD OR BACKWARD ONE MONTH
//###############################################################
function mvm_a_month_direction(direction)
{
	var month_index = document.getElementById('mvm_a_month').selectedIndex;
	
	if(direction == "prev")
	{
		if(month_index <= 0)
		{
			document.getElementById('mvm_a_month').selectedIndex = 11;
		}
		else
		{
			document.getElementById('mvm_a_month').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(month_index >= 11)
		{
			document.getElementById('mvm_a_month').selectedIndex = 0;
		}
		else
		{
			document.getElementById('mvm_a_month').selectedIndex++;
		}
	}
}

//###############################################################
//FUNCTION TO SEND MVM_B_MONTH MENU FORWARD OR BACKWARD ONE MONTH
//###############################################################
function mvm_b_month_direction(direction)
{
	var month_index = document.getElementById('mvm_b_month').selectedIndex;
	
	if(direction == "prev")
	{
		if(month_index <= 0)
		{
			document.getElementById('mvm_b_month').selectedIndex = 11;
		}
		else
		{
			document.getElementById('mvm_b_month').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(month_index >= 11)
		{
			document.getElementById('mvm_b_month').selectedIndex = 0;
		}
		else
		{
			document.getElementById('mvm_b_month').selectedIndex++;
		}
	}
}

//################################################################
//FUNCTION TO SEND WEEKLY_MONTH MENU FORWARD OR BACKWARD ONE MONTH
//################################################################
function weekly_month_direction(direction)
{
	var month_index = document.getElementById('weekly_month').selectedIndex;
	
	if(direction == "prev")
	{
		if(month_index <= 0)
		{
			document.getElementById('weekly_month').selectedIndex = 11;
		}
		else
		{
			document.getElementById('weekly_month').selectedIndex--;
		}
	}
	else if(direction == "next")
	{
		if(month_index >= 11)
		{
			document.getElementById('weekly_month').selectedIndex = 0;
		}
		else
		{
			document.getElementById('weekly_month').selectedIndex++;
		}
	}
}

//################################################
//MAIN FUNCTION TO HANDLE SWITCHING THE STAT VIEWS
//################################################
function stat_view(view_type)
{
	//#########################
	//FIRST CLEAR THE STAT VIEW
	//#########################
	clear_stat_views();
	
	//1: SHOW-HIDE MONTHLY VIEW
	//2: SHOW-HIDE SHOW VS VIEW
	//3: SHOW-HIDE DAILY VIEW
	//4: SHOW-HIDE YEARLY SNAPSHOT VIEW
	//5: SHOW-HIDE WEEKLY VIEW
	//10: SHOW-HIDE CONF FILE INTEGRITY CHECK
	
	//GET OUR ROW AND DATA ROW IDS
	var view_conf_full = document.getElementById('view_conf_full');
	var view_daily_full = document.getElementById('view_daily_full');
	var view_monthvs_full = document.getElementById('view_monthvs_full');
	var view_daily_dbs_full = document.getElementById('view_daily_dbs_full');
	var view_yearly_full = document.getElementById('view_yearly_full');
	var view_weekly_trend_full = document.getElementById('view_weekly_trend_full');
	
	if(view_type == 1)
	{
		view_daily_full.style.display = '';
	}
	if(view_type == 2)
	{
		view_monthvs_full.style.display = '';
	}
	if(view_type == 3)
	{
		view_daily_dbs_full.style.display = '';
	}
	if(view_type == 4)
	{
		view_yearly_full.style.display = '';
	}
	if(view_type == 5)
	{
		view_weekly_trend_full.style.display = '';
	}
	if(view_type == 10)
	{
		view_conf_full.style.display = '';
	}
}

//################################
//MAIN FUNCTION TO CLEAR ALL VIEWS
//################################
function clear_stat_views() 
{
	//GET OUR ROW AND DATA ROW IDS
	var view_conf_full = document.getElementById('view_conf_full');
	var view_daily_full = document.getElementById('view_daily_full');
	var view_monthvs_full = document.getElementById('view_monthvs_full');
	var view_daily_dbs_full = document.getElementById('view_daily_dbs_full');
	var view_yearly_full = document.getElementById('view_yearly_full');
	var view_weekly_trend_full = document.getElementById('view_weekly_trend_full');
	
	//FIRST CLEAR ALL VIEWS
	view_conf_full.style.display = 'none';
	view_daily_full.style.display = 'none';
	view_monthvs_full.style.display = 'none';
	view_daily_dbs_full.style.display = 'none';
	view_yearly_full.style.display = 'none';
	view_weekly_trend_full.style.display = 'none';
}

//##############################################
//MAIN FUNCTION TO HANDLE THE JS CUSTOM TOOLTIPS
//##############################################
var tooltip=function()
{
	var id = 'tip';
	var top = -25;
	var left = 10;
	var maxw = 300;
	var fade_speed = 25;
	var fade_timer = 40;
	var alpha_end = 85;
	var alpha_start = 0;
	var x,h;
	var ie = document.all ? true : false;
	return{
		show:function(v,w)
		{
			if(x == null)
			{
				x = document.createElement('div');
				x.setAttribute('id',id);
				document.body.appendChild(x);
				x.style.opacity = 0;
				x.style.filter = 'alpha_start(opacity=0)';
				document.onmousemove = this.pos;
			}
			x.style.display = 'block';
			
			//#####################################################
			//BELOW USED TO DE-ENCODE STRING PARAMETER IF NECESSARY
			//#####################################################
			x.innerHTML = v;
			x.style.width = w ? w + 'px' : 'auto';
			if(!w && ie)
			{
				x.style.width = x.offsetWidth;
			}
			if(x.offsetWidth > maxw){x.style.width = maxw + 'px';}
			h = parseInt(x.offsetHeight) + top;
			clearInterval(x.fade_timer);
			x.fade_timer = setInterval(function(){tooltip.fade(1);},fade_timer);
		},
		pos:function(e)
		{
			var u = ie ? event.clientY + document.documentElement.scrollTop : e.pageY;
			var l = ie ? event.clientX + document.documentElement.scrollLeft : e.pageX;
			x.style.top = (u - h) + 'px';
			x.style.left = (l + left) + 'px';
		},
		fade:function(d)
		{
			var a = alpha_start;
			if((a != alpha_end && d == 1) || (a !== 0 && d == -1))
			{
				var i = fade_speed;
				if(alpha_end - a < fade_speed && d == 1)
				{
					i = alpha_end - a;
				}else if(alpha_start < fade_speed && d == -1)
				{
					i = a;
				}
				alpha_start = a + (i * d);
				x.style.opacity = alpha_start * .01;
				x.style.filter = 'alpha_start(opacity=' + alpha_start + ')';
			}
			else
			{
				clearInterval(x.fade_timer);
				if(d == -1){x.style.display = 'none';}
			}
		},
		hide:function()
		{
			clearInterval(x.fade_timer);
			x.fade_timer = setInterval(function(){tooltip.fade(-1);},fade_timer);
		}
	};
}();